<div id="game-scraper-container">
    <div style="width: 100%; display: flex;">
        <input type="text" [(ngModel)]="searchString" placeholder="search for games" (keydown)="keyDown($event)" style="border-top-left-radius: 20px; border-bottom-left-radius: 20px; padding-left: 10px; flex: 1 0 auto;"/>
        <input type="button" value="search" style="margin: 0px; border-top-right-radius: 20px; border-bottom-right-radius: 20px; flex: 0 1 auto;" (click)="search()">
    </div>
    <app-game-scraper-results [(query)]="query"></app-game-scraper-results>
</div>

